Package tigase.workgroupqueues.util

# Class LimitedSizeQueue<T>

java.lang.Object
tigase.workgroupqueues.util.LimitedSizeQueue<T>

All Implemented Interfaces:
  `Iterable<T>`, `Collection<T>`, `Queue<T>`

public class LimitedSizeQueue<T> extends Object implements Queue<T>, Iterable<T>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LimitedSizeQueue(int limit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(T o)`
  `boolean`
  `addAll(Collection<? extends T> c)`
  `void`
  `clear()`
  `boolean`
  `contains(Object o)`
  `boolean`
  `containsAll(Collection<?> c)`
  `T`
  `element()`
  `T`
  `get(int index)`
  `boolean`
  `isEmpty()`
  `Iterator<T>`
  `iterator()`
  `boolean`
  `offer(T e)`
  `T`
  `peek()`
  `T`
  `poll()`
  `T`
  `remove()`
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> c)`
  `boolean`
  `retainAll(Collection<?> c)`
  `int`
  `size()`
  `Object[]`
  `toArray()`
  `<T> T[]`
  `toArray(T[] a)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `equals, hashCode, parallelStream, removeIf, spliterator, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Constructor Details

  - ### LimitedSizeQueue

    public LimitedSizeQueue(int limit)

- ## Method Details

  - ### add

    public boolean add(T o)
    Specified by:
      `add` in interface `Collection<T>`
    Specified by:
      `add` in interface `Queue<T>`

  - ### addAll

    public boolean addAll(Collection<? extends T> c)
    Specified by:
      `addAll` in interface `Collection<T>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<T>`

  - ### contains

    public boolean contains(Object o)
    Specified by:
      `contains` in interface `Collection<T>`

  - ### containsAll

    public boolean containsAll(Collection<?> c)
    Specified by:
      `containsAll` in interface `Collection<T>`

  - ### element

    public T element()
    Specified by:
      `element` in interface `Queue<T>`

  - ### get

    public T get(int index)

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Collection<T>`

  - ### iterator

    public Iterator<T> iterator()
    Specified by:
      `iterator` in interface `Collection<T>`
    Specified by:
      `iterator` in interface `Iterable<T>`

  - ### offer

    public boolean offer(T e)
    Specified by:
      `offer` in interface `Queue<T>`

  - ### peek

    public T peek()
    Specified by:
      `peek` in interface `Queue<T>`

  - ### poll

    public T poll()
    Specified by:
      `poll` in interface `Queue<T>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<T>`

  - ### remove

    public T remove()
    Specified by:
      `remove` in interface `Queue<T>`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<T>`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<T>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<T>`

  - ### toArray

    public Object[] toArray()
    Specified by:
      `toArray` in interface `Collection<T>`

  - ### toArray

    public <T> T[] toArray(T[] a)
    Specified by:
      `toArray` in interface `Collection<T>`